Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.userproperty
Class PropertyMapKeyImpl

    java.lang.Object
      com.bea.wsrp.userproperty.PropertyMapKeyImpl

All Implemented Interfaces
  PropertyMapKey, Serializable

    public class PropertyMapKeyImpl

extends Object
implements PropertyMapKey

See Also
  Serialized Form

Constructor Summary
`PropertyMapKeyImpl(String propertySetName, String propertyName)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getPropertyName()` Get the name of the property
`String` | `getPropertySetName()` Get the PropertySet this property belongs to
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyMapKeyImpl

    public PropertyMapKeyImpl(String propertySetName,
                              String propertyName)

Parameters
  `propertySetName` -
  `propertyName` -

Method Detail

### getPropertyName

    public String getPropertyName()

  Description copied from interface: `PropertyMapKey`
  Get the name of the property

  Specified by:
    `getPropertyName` in interface `PropertyMapKey`
  Returns
    Returns the propertyName.

### getPropertySetName

    public String getPropertySetName()

  Description copied from interface: `PropertyMapKey`
  Get the PropertySet this property belongs to

  Specified by:
    `getPropertySetName` in interface `PropertyMapKey`
  Returns
    Returns the propertySetName.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  Returns
  See Also
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
  See Also
    `Object.toString()`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` -
  Returns
  See Also
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved